#ifndef __LOG
#define __LOG

#include "fileio.h"
#include "gameinitexit.h"

#define kMaxLogs 64

enum{
	kLogReplayLog,
	kLogGhostLog
};

void LogInit();
void GetLogs(tFileRef *logs,int *logCount);
void LogReset();
void GhostLogReset();
void LogPacket(int size, void *data,int type);
void LogSort();
void LogToGhostLog();
int LogGetPacket(int index,int *type,int *size,int log,void *buffer);

void LogSaveToDisk();
int LogLoad(tFileRef f,tGameInfo* gInfo);

#endif